module RechnMgmWeb
    class DocumentChannel < ApplicationCable::Channel
        def subscribed
            # Every user gets his own "virtual" channel within the DocumentChannel.
            # We can send every user personalized information this way.
            stream_from "document_channel_#{current_user.id}"
        end

        def unsubscribed
            # Any cleanup needed when channel is unsubscribed
        end
    end
end
